import request from '@/utils/request'

// 查询文献管理列表
export function listLiterature(query) {
  return request({
    url: '/system/share/literature/list',
    method: 'get',
    params: query
  })
}

// 查询文献管理详细
export function getLiterature(id) {
  return request({
    url: '/system/share/literature/' + id,
    method: 'get'
  })
}

// 新增文献管理
export function addLiterature(data) {
  return request({
    url: '/system/share/literature',
    method: 'post',
    data: data
  })
}

// 修改文献管理
export function updateLiterature(data) {
  return request({
    url: '/system/share/literature',
    method: 'put',
    data: data
  })
}

// 删除文献管理
export function delLiterature(id) {
  return request({
    url: '/system/share/literature/' + id,
    method: 'delete'
  })
}
